Distribution:   CCux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>

Name:		sgml-common
Version:	0.6.3
Release:	2
Provides:	%{name}
License:	GNU/GPL 
URL:		http://gd.tuwien.ac.at/hci/kde/devel/docbook/SOURCES/sgml-common-0.6.3.tgz
Group:		Development/Other
Source0:	%{name}-%{version}.tgz
Patch0:		%{name}-%{version}-man.patch
BuildRoot:	%{_tmppath}/%{name}-buildroot
Summary:	sgml-common tools for creating and maintaining centralized SGML catalogs.

%description
sgml-common tools for creating and maintaining centralized SGML catalogs.

%post
install-catalog --add %_sysconfdir/sgml/sgml-ent.cat %_datadir/sgml/sgml-iso-entities-8879.1986/catalog > /dev/null
install-catalog --add %_sysconfdir/sgml/sgml-docbook.cat %_sysconfdir/sgml/sgml-ent.cat > /dev/null

%preun
install-catalog --remove %_sysconfdir/sgml/sgml-ent.cat %_datadir/sgml/sgml-iso-entities-8879.1986/catalog > /dev/null
install-catalog --remove %_sysconfdir/sgml/sgml-docbook.cat %_sysconfdir/sgml/sgml-ent.cat > /dev/null

%postun
rm -Rf %_sysconfdir/sgml

%prep
%setup -n %{name}-%{version}
%patch0 -p1
aclocal 
automake -acf 
autoconf

%build
./configure --prefix=%_prefix \
--sysconfdir=%_sysconfdir \
--mandir=%_mandir 
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%_defaultdocdir
mv $RPM_BUILD_ROOT/usr/doc/* $RPM_BUILD_ROOT%_defaultdocdir

%files
%defattr(-,root,root)
%_sysconfdir
%_bindir
%_datadir

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Thu Oct 27 2005 Christian Wasem <wasem@ccux-linux.de> 0.6.3-2
- tweaked specfile, added > /dev/null to post- and postun-tags
- added postun-tag
* Fri Jul 08 2005 Karsten Brockmann <arcam@ccux-linux.de> 0.6.3-1
- Initial Release